/*	Copyright (C) 2003-2013 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __surface_SurfacePrimitive_h__
#define __surface_SurfacePrimitive_h__

namespace fe
{

/**************************************************************************//**
	@brief SurfacePrimitive RecordView

	@ingroup surface
*//***************************************************************************/
class FE_DL_EXPORT SurfacePrimitive: virtual public Recordable
{
	public:
		Functor<String>				surfaceType;
		Functor< sp<RecordGroup> >	surfacePointRG;

				SurfacePrimitive(void)			{ setName("SurfacePrimitive"); }
virtual	void	addFunctors(void)
				{
					Recordable::addFunctors();

					add(surfaceType,		FE_SPEC("surf:type",
							"Name of surface type"));
					add(surfacePointRG,		FE_SPEC("surf:pointgroup",
							"RecordGroup of surface points"));
				}
virtual	void	initializeRecord(void)
				{
					Recordable::initializeRecord();

					surfacePointRG.createAndSetRecordGroup();
				}
virtual	void	finalizeRecord(void)
				{
					Recordable::finalizeRecord();
				}
};

} /* namespace */

#endif /* __surface_SurfacePrimitive_h__ */


