import os
import sys
forge = sys.modules["forge"]

def setup(module):

	srcList = [	"SurfaceVDB",
				"vdb.pmh",
				"vdbDL" ]

	dll = module.DLL( "fexVdbDL", srcList )

	deplibs = forge.corelibs+ [
				"fexSurfaceDLLib" ]

	forge.deps( ["fexVdbDLLib"], deplibs )

#	module.includemap = { 'vdb' : module.modPath }
	module.includemap = { 'vdb' : os.path.join(forge.openvdb_include, '..') }

	# HACK needs to be configurable
	module.linkmap = {}

	# HACK use boost and openvdb from last listed houdini version
	houdini_source_count = len(forge.houdini_sources)
	if houdini_source_count > 0:
		houdini_source = forge.houdini_sources[len(forge.houdini_sources)-1]
		module.includemap['houdini_boost'] = houdini_source[1]
		module.linkmap['houdini_boost'] = '-L' + houdini_source[2]

#		module.linkmap['vdb'] = ' -lopenvdb'
#	else:

	module.linkmap['vdb'] = "-Xlinker -rpath='" + forge.openvdb_lib + "'"
	module.linkmap['vdb'] += ' -L' + forge.openvdb_lib + ' -l:libopenvdb.so.1.1'

	forge.tests += [
		("inspect.exe",		"fexVdbDL",				None,		None) ]

#	module.Module('openvdb')

def auto(module):
	if forge.openvdb_include == '':
		return 'unset'

	test_file = """
#include "openvdb/openvdb.h"

int main(void)
{
	return(0);
}
    \n"""

	houdini_source_count = len(forge.houdini_sources)
	if houdini_source_count > 0:
		houdini_source = forge.houdini_sources[len(forge.houdini_sources)-1]
		forge.includemap['houdini_boost'] = houdini_source[1]
		forge.linkmap['houdini_boost'] = '-L' + houdini_source[2]

	forge.includemap['vdb'] = os.path.join(forge.openvdb_include, '..')
	forge.linkmap['vdb'] = '-L' + forge.openvdb_lib + ' -l:libopenvdb.so.1.1'

	result = forge.cctest(test_file)

	forge.includemap['houdini_boost'] = ''
	forge.linkmap['houdini_boost'] = ''
	forge.includemap['vdb'] = ''
	forge.linkmap['vdb'] = ''

	return result
