/*	Copyright (C) 2003-2013 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#include "window.pmh"

namespace fe
{

Library* CreateWindowLibrary(sp<Master>)
{
	Library *pLibrary = new Library();
	pLibrary->setName("default_window");
	pLibrary->add<fe::LogWindowHandler>("HandlerI.LogWindowHandler.fe");

	pLibrary->add<fe::AsSelect>("PopulateI.AsSelect.fe");
	pLibrary->add<fe::AsSelection>("PopulateI.AsSelection.fe");
	pLibrary->add<fe::AsPick>("PopulateI.AsPick.fe");
	pLibrary->add<fe::AsColor>("PopulateI.AsColor.fe");
	pLibrary->add<fe::AsSelectable>("PopulateI.AsSelectable.fe");
	pLibrary->add<fe::AsOrtho>("PopulateI.AsOrtho.fe");
	pLibrary->add<fe::AsPerspective>("PopulateI.AsPerspective.fe");
	pLibrary->add<fe::AsCallback>("PopulateI.AsCallback.fe");
	pLibrary->add<fe::AsSelScreenTriangle>("PopulateI.AsSelScreenTriangle.fe");
	pLibrary->add<fe::AsSelWorldSphere>("PopulateI.AsSelWorldSphere.fe");
	pLibrary->add<fe::AsSelWorldTriangle>("PopulateI.AsSelWorldTriangle.fe");

	return pLibrary;
}

}


